package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.domain.entity.SysDictData;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.system.domain.vo.ZkActivityHostUserVo;

import java.util.List;
import java.util.Map;

public interface IBaseDataActivityService {
    List<Map<String, Object>> getActivityContent();

    List<Map<String, Object>> getActivityContentDict();

    List<Map<String, Object>> getActivityContent(String key);

    List<Map<String, Object>> getActivityContentDict(String key);

    List<Map<String, Object>> getTypeList(String roleFlag);

    List<SysUser> getHostUserByDeptId(Long deptId);

    List<Map<String, Object>> getPostList(String typeValue);

    List<SysDictData> getUnqualified();

    List<SysUser> getUserByDeptId(Long deptId);
}
